Summary: A utility for converting FIG files (created by xfig) to other formats
Name: transfig
Version: 3.2.7a
%define subrel 1
Release: %mkrel 3
License: MIT
Group: Graphics/Utilities
URL: https://sourceforge.net/projects/mcj/
Source0: http://downloads.sourceforge.net/mcj/fig2dev-%{version}.tar.xz
# See https://bugs.mageia.org/show_bug.cgi?id=23537
# Backported from https://sourceforge.net/p/mcj/fig2dev/ci/e0c4b02429116b15ad1568c2c425f06b95b95830/
Patch1: CVE-2018-16140.patch
Patch2: 03ea4578258d2d9ca1ceb080e469ad261db39ef0.patch
Patch3: 0001-Embed-png-and-jpeg-images-unchanged-into-pdfs.patch
Patch4: 0002-Allow-fig-2-text-ending-with-multiple-A-ticket-55.patch
Patch5: 0003-Reject-huge-arrow-types-ticket-57.patch
Patch6: 0004-Convert-polygons-with-too-few-points-to-polylines.patch
Patch7: 0005-Correctly-scan-embedded-pdfs-for-MediaBox-value.patch
Patch8: 0006-fig2dev-version-prints-version-information.patch
Patch9: 0007-Use-getopt-from-standard-libraries-if-available.patch
Patch10: 0008-Replace-most-calls-to-fgets-by-getline-in-read.c.patch
BuildRequires: pkgconfig(xpm)
BuildRequires: pkgconfig(libpng)
BuildRequires: imake
BuildRequires: tcsh
BuildRequires: ghostscript
Requires: ghostscript
Requires:	netpbm

%description
The transfig utility creates a makefile which translates FIG (created by xfig)
or PIC figures into a specified LaTeX graphics language (for example,
PostScript(TM)). Transfig is used to create TeX documents which are portable
(i.e., they can be printed in a wide variety of environments).

%prep
%setup -q -n fig2dev-%{version}
%autopatch -p1

%build
%configure2_5x --enable-transfig
%make_build

%install
%make_install

%files
%doc CHANGES NOTES README
%{_bindir}/*
%{_datadir}/fig2dev/*
%{_mandir}/man?/*


%changelog
* Tue Mar 03 2020 ns80 <ns80> 3.2.7a-3.1.mga7
+ Revision: 1553445
- add patches for CVE-2019-14275, CVE-2019-19555, CVE-2019-19746, CVE-2019-19797 (mga#26146)

* Wed Mar 06 2019 tv <tv> 3.2.7a-3.mga7
+ Revision: 1372035
- requires netpbm thus fixing building xen

* Wed Mar 06 2019 tv <tv> 3.2.7a-2.mga7
+ Revision: 1371953
- BR ghostscript thus fixing building xen

* Sun Feb 03 2019 shlomif <shlomif> 3.2.7a-1.mga7
+ Revision: 1362808
- Fix mga#23537
- new ver 3.2.7a - drop fixed patch.

* Sun Sep 23 2018 umeabot <umeabot> 3.2.6a-2.mga7
+ Revision: 1301451
- Mageia 7 Mass Rebuild

* Sat Dec 16 2017 shlomif <shlomif> 3.2.6a-1.mga7
+ Revision: 1182865
- New ver 3.2.6a and fix for MGA#22199 .

* Mon Feb 01 2016 umeabot <umeabot> 3.2.5d-9.mga6
+ Revision: 929848
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.2.5d-8.mga5
+ Revision: 750764
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 3.2.5d-7.mga5
+ Revision: 725259
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 3.2.5d-6.mga5
+ Revision: 689941
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.2.5d-5.mga4
+ Revision: 526466
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 fwang <fwang> 3.2.5d-4.mga4
+ Revision: 436958
- rebuild for new libpng

* Mon Jan 14 2013 umeabot <umeabot> 3.2.5d-3.mga3
+ Revision: 384733
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Other -> Graphics/Utilities

* Sat Dec 08 2012 malo <malo> 3.2.5d-2.mga3
+ Revision: 328914
- update RPM group

* Thu Sep 15 2011 fwang <fwang> 3.2.5d-1.mga2
+ Revision: 144043
- build with latest libpng

* Sun Jan 09 2011 blino <blino> 3.2.5d-1.mga1
+ Revision: 3351
- imported package transfig


* Sat Jan 01 2011 Funda Wang <fwang@mandriva.org> 3.2.5d-1mdv2011.0
+ Revision: 626934
- new version 3.2.5d

* Fri Dec 31 2010 Funda Wang <fwang@mandriva.org> 3.2.5c-5mdv2011.0
+ Revision: 626810
- tighten BR

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 3.2.5c-3mdv2011.0
+ Revision: 608040
- rebuild

* Fri Mar 12 2010 Götz Waschk <waschk@mandriva.org> 3.2.5c-2mdv2010.1
+ Revision: 518367
- update build deps

* Wed Feb 03 2010 Lev Givon <lev@mandriva.org> 3.2.5c-1mdv2010.1
+ Revision: 500106
- Update to 3.2.5c.

* Mon Sep 28 2009 Olivier Blin <oblin@mandriva.com> 3.2.5a-2mdv2010.0
+ Revision: 450399
- fix mips build failure because of optopt mismatch
  (from Arnaud Patard)

* Fri Sep 04 2009 Lev Givon <lev@mandriva.org> 3.2.5a-1mdv2010.0
+ Revision: 431413
- Update to 3.2.5a.
- Update to 3.2.5a.

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 3.2.5-4mdv2010.0
+ Revision: 427431
- rebuild

* Sat Apr 11 2009 Funda Wang <fwang@mandriva.org> 3.2.5-3mdv2009.1
+ Revision: 366387
- fix str fmt

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 3.2.5-2mdv2009.0
+ Revision: 225870
- rebuild

* Wed Jan 30 2008 Lev Givon <lev@mandriva.org> 3.2.5-1mdv2008.1
+ Revision: 160291
- Update to 3.2.5 final.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

* Fri May 25 2007 Christiaan Welvaart <spturtle@mandriva.org> 3.2.5-0.5mdv2008.0
+ Revision: 31165
- when generating bitmaps, use a tempfile for the eps to work around a crash of gs on ppc


* Mon Feb 19 2007 Emmanuel Andry <eandry@mandriva.org> 3.2.5-0.4mdv2007.0
+ Revision: 122633
- buildrequires imake
- New alpha 7
- drop patches 3 and 4, applied upstream

  + Gwenole Beauchesne <gbeauchesne@mandriva.com>
    - Fix build with newer X.org configury
    - Bunzip2 patches
    - Import transfig

* Wed Oct 05 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 3.2.5-0.3mdk
- merge from old ppc64-branch:
  * fix fig2dev files location
  * rename text() to do_text() to fix build on dot syms platforms

* Sat Aug 20 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 3.2.5-0.2mdk
- gcc4 fixes

* Mon Mar 28 2005 Daouda LO <daouda@mandrakesoft.com> 3.2.5-0.1mdk
- release for xfig-3.2.5

* Thu Dec 09 2004 Götz Waschk <waschk@linux-mandrake.com> 3.2.4-4mdk
- add html docs
- add new files
- fix buildrequires

